exp_name: l2r_1
project_name: bottlenose-dolphin
checkpoint_dir: ./runs
comment: No flip

data:
  images_dir: "/mnt/space/space-home/wild-me/PIE/bottlenose-dolphin/data/flukebook-384"
  train_anno_path: "/mnt/space/space-home/wild-me/PIE/bottlenose-dolphin/data/flukebook-coco/instances_train2021.json"
  val_anno_path: "/mnt/space/space-home/wild-me/PIE/bottlenose-dolphin/data/flukebook-coco/instances_val2021.json"
  viewpoint_list: ['left', 'right']
  train_n_filter_min: 4
  val_n_filter_min: 2
  train_n_subsample_max: null
  val_n_subsample_max: 10
  name_keys: ['name']
  crop_bbox: False
  image_size:
    - 384
    - 384

engine:
  num_workers: 0
  train_batch_size: 10
  valid_batch_size: 12
  epochs: 30
  seed: 42
  device: cuda
  loss_module: arcface
  use_wandb: true

scheduler_params:
  lr_start: 1.e-5
  lr_max: 1.e-3
  lr_min: 9.e-6
  lr_ramp_ep: 15
  lr_sus_ep: 0
  lr_decay: 0.8
model_params:
  model_name: efficientnetv2_rw_m
  use_fc: false
  fc_dim: 2048
  dropout: 0.0
  loss_module: arcface
  s: 21.0
  margin: 0.3
  ls_eps: 0.0
  theta_zero: 0.785
  pretrained: true
  n_classes: 865 # used for loading checkpoint
test:
  fliplr: false
  fliplr_view: []
  batch_size: 8
